Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.ss.usermodel
Class ErrorConstants

    java.lang.Object
      org.apache.poi.ss.usermodel.ErrorConstants

Direct Known Subclasses:
  HSSFErrorConstants

    public class ErrorConstants

extends java.lang.Object

Contains raw Excel error codes (as defined in OOO's excelfileformat.pdf (2.5.6)

Author:
  Michael Harhen

Field Summary
`static int` | `ERROR_DIV_0` #DIV/0! - Division by zero
`static int` | `ERROR_NA` #N/A - Argument or function not available
`static int` | `ERROR_NAME` #NAME? - Wrong function or range name
`static int` | `ERROR_NULL` #NULL! - Intersection of two cell ranges is empty
`static int` | `ERROR_NUM` #NUM! - Value range overflow
`static int` | `ERROR_REF` #REF! - Illegal or deleted cell reference
`static int` | `ERROR_VALUE` #VALUE! - Wrong type of operand

Method Summary
`static java.lang.String` | `getText(int errorCode)`
`static boolean` | `isValidCode(int errorCode)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ERROR_NULL

    public static final int ERROR_NULL

  #NULL! - Intersection of two cell ranges is empty

  See Also:
    Constant Field Values

### ERROR_DIV_0

    public static final int ERROR_DIV_0

  #DIV/0! - Division by zero

  See Also:
    Constant Field Values

### ERROR_VALUE

    public static final int ERROR_VALUE

  #VALUE! - Wrong type of operand

  See Also:
    Constant Field Values

### ERROR_REF

    public static final int ERROR_REF

  #REF! - Illegal or deleted cell reference

  See Also:
    Constant Field Values

### ERROR_NAME

    public static final int ERROR_NAME

  #NAME? - Wrong function or range name

  See Also:
    Constant Field Values

### ERROR_NUM

    public static final int ERROR_NUM

  #NUM! - Value range overflow

  See Also:
    Constant Field Values

### ERROR_NA

    public static final int ERROR_NA

  #N/A - Argument or function not available

  See Also:
    Constant Field Values

Method Detail

### getText

    public static final java.lang.String getText(int errorCode)

  Returns:
    Standard Excel error literal for the specified error code.
  Throws:
    `java.lang.IllegalArgumentException` - if the specified error code is not one of the 7 standard error codes

### isValidCode

    public static final boolean isValidCode(int errorCode)

  Returns:
    `true` if the specified error code is a standard Excel error code.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD